/* 
 * File:   cPduFrame.h
 * Author: john
 *
 * Created on 13 April 2011, 9:58 AM
 */

#ifndef CPDUFRAME_H
#define	CPDUFRAME_H

#include <stdint.h>

#include <cKlinkPdu.h>
#include <cKlinkDataBuffer.h>
#include <cKlinkFrame.h>

class cKlinkPduFrame : public cKlinkFrame
{
public:
    cKlinkPduFrame(uint8_t,uint8_t,cKlinkPdu *pdu = NULL);
    cKlinkPduFrame(const cKlinkPduFrame& orig);
    cKlinkPduFrame(cKlinkDataBuffer &);
    virtual ~cKlinkPduFrame();
    cKlinkDataBuffer & getData();
    void setFrameNumber(uint8_t);
    uint8_t getFrameNumber();
    void setAckNumber(uint8_t);
    uint8_t getAckNumber();
    cKlinkPdu * getPdu();
    void setPdu(cKlinkPdu *);
private:
    cKlinkDataBuffer * mDataBuffer;
    cKlinkPdu * mPdu;

};

#endif	/* CPDUFRAME_H */

